Ticket #33459

Enigmail fails to 'undo' all its changes when encrypt/sign operation is aborted by user

Open Date: 2014-03-11 10:44 Last Update: 2014-03-12 19:22

Reporter:
Owner:
Type:
Status:
Open [Owner assigned]
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

Hi there, I'm running Enigmail 1.6 with Tenfourbird 24.3.0. Sometimes when I abort a signing or encryption operation (e.g. when I discover I want to correct a typo, or attach another file), Enigmail attempts to restore the text in my compose window to its original state before munging it, but the text is not restored all the way back. If I hit "Undo" (cmd-Z) a few times, I see additional steps in the compose window, some of which just say "Enigmail" with no other text, and eventually I get my original text back.

I haven't characterized the problem any better than that but I am opening the ticket anyway.

Ticket History (3/3 Histories)

2014-03-11 10:44 Updated by: gmorehou
  • New Ticket "Enigmail fails to 'undo' all its changes when encrypt/sign operation is aborted by user" created
2014-03-12 19:22 Updated by: t_mrc-ct
  • Milestone Update from (None) to Enigmail 1.7 (closed)
  • Owner Update from (None) to t_mrc-ct
  • Resolution Update from None to Fixed
  • Component Update from (None) to Enigmail
Comment

It looks very similar to Enigmail bug 213.

This problem will be fixed in the next release (v1.6.1).

Thanks.

2014-09-05 09:01 Updated by: None

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login